Envia uma mensagem de 'reset' para terminais de destino (Autenticação)
curl --request POST \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/reset \
--header 'Content-Type: application/json' \
--data '
[
{
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"ResetModem": true
}
]
'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/reset"
payload = [
{
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"ResetModem": True
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([{DestinationID: '01008988SKY5909', UserMessageID: 2097, ResetModem: true}])
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/terminal/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Submissions": [
{
"ID": 10844864715,
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"OTAMessageSize": 202,
"OperationMode": null
},
{
"ID": 10844864716,
"DestinationID": "01008988SKY5900",
"UserMessageID": 2098,
"OTAMessageSize": 202,
"OperationMode": null
},
{
"ErrorID": 21827,
"UserMessageID": 2099,
"OperationMode": null
}
]
}"Quando falha a autenticação e autorização.""Quando o usuário ultrapassa o limite provisionado de requisições para o endpoint da API, será retornado o código HTTP 429 “Muitas Requisições”."Terminal
Envia mensagem de “reset” aos terminais
Autenticação: Token Bearer
Limitação de taxa: sim (grupo SEND de métodos)
Autorização: Conta de usuário
POST
/
api
/
v
{version}
/
terminal
/
reset
Envia uma mensagem de 'reset' para terminais de destino (Autenticação)
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Destino da mensagem (ID principal do terminal).
Example:
"01008988SKY5909"
O UserMessageID é o número de identificação da mensagem do cliente. O cliente deve fornecer um ID de mensagem se quiser mapear para o número do Gateway - o ID na classe FowardSubmission. O Gateway não armazena o UserMessageID em nenhum lugar.
Example:
2097
ResetModem - reseta o modem se true.
Example:
[
{
"DestinationID": "01008988SKY5909",
"UserMessageID": 2097,
"ResetModem": true
}
]
Response
Chamada realizada com sucesso. Verifique o ErrorID para possíveis erros.

